I've upgraded our Zope Server to 2.2.1 and upgraded squishdot to 7.1.
Whenever I post an article on my squishdot sites I get an attribute error:
_catalog.  It seems like squishdot has trouble putting the article in the
catalog.  I did modify all references to thread[0] to getThread(0):

Traceback (innermost last):
  File /usr/local/zope/2-2-0/lib/python/ZPublisher/Publish.py, line 222, in
publish_module
  File /usr/local/zope/2-2-0/lib/python/ZPublisher/Publish.py, line 187, in
publish
  File /usr/local/zope/2-2-0/lib/python/Zope/__init__.py, line 221, in
zpublisher_exception_hook
    (Object: Traversable)
  File /usr/local/zope/2-2-0/lib/python/ZPublisher/Publish.py, line 171, in
publish
  File /usr/local/zope/2-2-0/lib/python/ZPublisher/mapply.py, line 160, in
mapply
    (Object: addPosting)
  File /usr/local/zope/2-2-0/lib/python/ZPublisher/Publish.py, line 112, in
call_object
    (Object: addPosting)
  File /usr/local/zope/2-2-0/lib/python/Products/Squishdot/Squishdot.py,
line 979, in addPosting
    (Object: Traversable)
  File /usr/local/zope/2-2-0/lib/python/Products/Squishdot/Squishdot.py,
line 702, in setItem
    (Object: Traversable)
  File /usr/local/zope/2-2-0/lib/python/Products/ZCatalog/ZCatalog.py, line
377, in catalog_object
    (Object: Traversable)
AttributeError: (see above)



_______________________________________________
Zope maillist  -  [EMAIL PROTECTED]
http://lists.zope.org/mailman/listinfo/zope
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope-dev )

Reply via email to